## pyocd 0.13.1+dfsg

=== src/gdb_test_program/Makefile ===
# pyOCD debugger
# Copyright (c) 2018 Arm Limited
# SPDX-License-Identifier: Apache-2.0
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

PREFIX = arm-none-eabi-
CC = $(PREFIX)gcc
OBJCOPY = $(PREFIX)objcopy

TARGET = gdb_test.elf
TARGET_BIN = gdb_test.bin

OBJECTS = main.o

LIBRARIES =

INCLUDES =

CFLAGS = -std=gnu11 -MMD -MP $(INCLUDES) -O0 -fno-common -ffunction-sections \
		-fdata-sections -Wall -Werror -mcpu=cortex-m0 -mthumb -mfloat-abi=soft -g3 -gdwarf-2 \
		-gstrict-dwarf -nostdlib -fpie

LDFLAGS = -T"linker_script.ld" -Wl,-Map,gdb_test.map,--gc-sections,-emain  -nostdlib -fpie

.PHONY: all
all: $(TARGET) $(TARGET_BIN)

.PHONY: clean
clean:
# 	@echo "Cleaning output..."
	rm -f *.o *.d $(TARGET) $(TARGET_BIN)

$(TARGET): $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) $(LIBRARIES) -o $@

$(TARGET_BIN): $(TARGET)
	$(OBJCOPY) -O binary $(TARGET) $(TARGET_BIN)

# Include dependency files.
-include $(OBJECTS:.o=.d)

=== debian/changelog ===
pyocd (0.13.1+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Backport upstream fixes for recent Python. (Closes: #1034399)

 -- Adrian Bunk <bunk@debian.org>  Mon, 22 May 2023 22:35:39 +0300

pyocd (0.13.1+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Move to Salsa and QA group as maintainer.
  * Add Salsa CI

 -- Neil Williams <codehelp@debian.org>  Sat, 16 Oct 2021 19:25:34 +0100

pyocd (0.13.1+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 23:22:46 +0100

pyocd (0.13.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Includes fixes for the renamed module

 -- Neil Williams <codehelp@debian.org>  Fri, 16 Nov 2018 09:57:30 +0000

pyocd (0.12.0+dfsg-3) unstable; urgency=medium

   * Add a temporary symlink until the next upstream release with
     the module renamed. (Closes: #911840)

 -- Neil Williams <codehelp@debian.org>  Thu, 25 Oct 2018 15:55:16 +0100

pyocd (0.12.0+dfsg-2) unstable; urgency=medium

  * Use pybuild

 -- Neil Williams <codehelp@debian.org>  Tue, 09 Oct 2018 15:25:26 +0100

pyocd (0.12.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #910566: ITP: pyocd -- ARM Cortex-M
    programming tools (Python3))

 -- Neil Williams <codehelp@debian.org>  Fri, 05 Oct 2018 09:50:54 +0100

=== debian/control ===
Source: pyocd
Section: embedded
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 11), dh-python,
 python3, python3-setuptools-scm, python3-setuptools,
 python3-setuptools-scm-git-archive, python3-usb,
 python3-docutils
Standards-Version: 4.2.1
Homepage: https://github.com/mbedmicro/pyOCD
Vcs-Git: https://salsa.debian.org/debian/pyocd
Vcs-Browser: https://salsa.debian.org/debian/pyocd.git

Package: python3-pyocd
Architecture: all
Depends: python3-pkg-resources, python3-usb (>= 1.0.0~),
 ${python3:Depends}, ${misc:Depends}
Description: ARM Cortex-M programming tools (Python3)
 pyOCD is an Open Source Python based library for programming
 and debugging ARM Cortex-M microcontrollers using CMSIS-DAP.
 .
 Includes support for flashing new binaries, resetting the device,
 halt, step, resume read/write memory and set/remove breakpoints.

## pyocd 0.36.0

=== src/analyzer/Makefile ===
# pyOCD debugger
# Copyright (c) 2018 Arm Limited
# SPDX-License-Identifier: Apache-2.0
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

PREFIX = arm-none-eabi-
CC = $(PREFIX)gcc
OBJCOPY = $(PREFIX)objcopy

TARGET = main.elf
TARGET_BIN = main.bin
TARGET_PY = main.py

OBJECTS = main.o

LIBRARIES =

INCLUDES =

CFLAGS = -std=gnu11 -MMD -MP $(INCLUDES) -O3 -fno-common -ffunction-sections \
		-fdata-sections -Wall -Werror -mcpu=cortex-m0 -mthumb -mfloat-abi=soft -g3 -gdwarf-2 \
		-gstrict-dwarf -nostdlib -fpic -ffixed-r9

LDFLAGS = -T"linker_script.ld" -Wl,-Map,gdb_test.map,--gc-sections,-ecompute_crc \
		-n -nostdlib -fpic -ffixed-r9

.PHONY: all
all: $(TARGET_PY)

.PHONY: clean
clean:
	rm -f *.o *.d $(TARGET) $(TARGET_BIN) $(TARGET_PY)

$(TARGET): $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) $(LIBRARIES) -o $@

$(TARGET_BIN): $(TARGET)
	$(OBJCOPY) -O binary $(TARGET) $(TARGET_BIN)

$(TARGET_PY): $(TARGET_BIN)
	python generate_python.py $(TARGET_BIN) $(TARGET_PY)

# Include dependency files.
-include $(OBJECTS:.o=.d)

=== src/range_step/Makefile ===
# pyOCD debugger
# Copyright (c) 2020 Arm Limited
# SPDX-License-Identifier: Apache-2.0
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

PREFIX = arm-none-eabi-
CC = $(PREFIX)gcc
OBJCOPY = $(PREFIX)objcopy

TARGET = range_step.elf
TARGET_BIN = range_step.bin

OBJECTS = range_step.o

LIBRARIES =

INCLUDES =

ASFLAGS = -std=gnu11 -MMD -MP $(INCLUDES) -O0 -fno-common -ffunction-sections \
		-fdata-sections -Wall -Werror -mcpu=cortex-m0 -mthumb -mfloat-abi=soft -g3 -gdwarf-2 \
		-gstrict-dwarf -nostdlib -fpie -Wa,-adln=$(basename $@).lst

LDFLAGS = -T"linker_script.ld" -Wl,-Map,$(basename $@).map,--gc-sections,-erange_step_test -nostdlib -fpie

.PHONY: all
all: $(TARGET) $(TARGET_BIN)

.PHONY: clean
clean:
	rm -f *.o *.d *.map *.lst *.elf *.bin

$(TARGET): $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) $(LIBRARIES) -o $@

$(TARGET_BIN): $(TARGET)
	$(OBJCOPY) -O binary $(TARGET) $(TARGET_BIN)

# Include dependency files.
-include $(OBJECTS:.o=.d)

=== debian/changelog ===
pyocd (0.36.0-3) unstable; urgency=medium

  * Patch out usage of importlib_resources (Closes: #1111880)

 -- Jakob Haufe <sur5r@debian.org>  Fri, 07 Nov 2025 22:25:32 +0100

pyocd (0.36.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove runtime dependenct on python3-pkg-resources (Closes: #1083580)
  * Clean better (Closes: #1046820)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 05 Feb 2025 22:09:36 +0100

pyocd (0.36.0-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  Trim trailing whitespace.
  Bump debhelper from old 11 to 13.
  Set debhelper-compat version in Build-Depends.

  [ Jakob Haufe ]
  * Adopt package (Closes: #976075)
  * Replace libusb_package by usb
  * Disable jlink entry point (Closes: #1062953)
  * Update d/copyright

 -- Jakob Haufe <sur5r@debian.org>  Wed, 20 Mar 2024 10:57:26 +0100

pyocd (0.36.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.36.0 (Closes: #917515)
  * add watch file
  * remove extraneous build-dependency on setuptools-scm-git-archive
    (Closes: #1050099)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Dec 2023 03:55:12 +0100

=== debian/control ===
Source: pyocd
Section: embedded
Priority: optional
Maintainer: Jakob Haufe <sur5r@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-docutils,
 python3-setuptools,
 python3-usb
Standards-Version: 4.2.1
Homepage: https://github.com/mbedmicro/pyOCD
Vcs-Git: https://salsa.debian.org/debian/pyocd.git
Vcs-Browser: https://salsa.debian.org/debian/pyocd

Package: python3-pyocd
Architecture: all
Depends:
 python3-usb (>= 1.0.0~),
 ${misc:Depends},
 ${python3:Depends}
Description: ARM Cortex-M programming tools (Python3)
 pyOCD is an Open Source Python based library for programming
 and debugging ARM Cortex-M microcontrollers using CMSIS-DAP.
 .
 Includes support for flashing new binaries, resetting the device,
 halt, step, resume read/write memory and set/remove breakpoints.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pyocd

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9


%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	python3 setup.py build
	rst2man debian/pyocd-gdbserver.rst > debian/pyocd-gdbserver.1
	rst2man debian/pyocd-tool.rst > debian/pyocd-tool.1
	rst2man debian/pyocd-flashtool.rst > debian/pyocd-flashtool.1

override_dh_auto_install:
	python3 setup.py install --root=$(CURDIR)/debian/python3-pyocd/ --install-layout=deb
	echo "version = '0.13.1'" > $(CURDIR)/debian/python3-pyocd/usr/lib/python3/dist-packages/pyocd/_version.py
	dh_installman -ppython3-pyocd debian/pyocd-gdbserver.1
	dh_installman -ppython3-pyocd debian/pyocd-tool.1
	dh_installman -ppython3-pyocd debian/pyocd-flashtool.1

execute_after_dh_auto_clean:
	${RM} -r .eggs pyocd/_version.py

=== debian/watch ===
Version: 5

Template: Github
Owner: pyocd
Project: pyOCD
UVersion-Mangle: s/(a|b|rc)/~$1/

## pyocd 0.37.0

=== debian/changelog ===
pyocd (0.37.0-1) unstable; urgency=medium

  * New upstream version 0.37.0
  * Drop libusb replacement patch, no longer needed

 -- Jakob Haufe <sur5r@debian.org>  Tue, 10 Feb 2026 09:08:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pyocd
 Section: embedded
-Priority: optional
 Maintainer: Jakob Haufe <sur5r@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ pybuild-plugin-pyproject,
+Build-Depends-Indep:
  dh-sequence-python3,
  python3,
  python3-docutils,
  python3-setuptools,
  python3-usb
-Standards-Version: 4.2.1
-Homepage: https://github.com/mbedmicro/pyOCD
+Standards-Version: 4.7.3
+Homepage: https://pyocd.io
 Vcs-Git: https://salsa.debian.org/debian/pyocd.git
 Vcs-Browser: https://salsa.debian.org/debian/pyocd
